# encoding: UTF-8

# ruby standard library
require "digest/sha1"
require "English"
require "erb"
require "find"
require "forwardable"
require "logger"
require "open-uri"
require "pathname"
require "singleton"
require "text"

# third party libraries
require "clamp"
require "json"
require "nokogiri"
require "rest_client"
require "zip"

# internal, backend
require "gjp/version"
require "gjp/logger"
require "gjp/template_manager"
require "gjp/git"
require "gjp/script_generator"
require "gjp/project"
require "gjp/pom"
require "gjp/version_matcher"
require "gjp/maven_website"
require "gjp/pom_getter"
require "gjp/source_getter"
require "gjp/kit_runner"
require "gjp/ant_runner"
require "gjp/maven_runner"
require "gjp/kit_spec_adapter"
require "gjp/package_spec_adapter"
require "gjp/spec_generator"
require "gjp/archiver"
require "gjp/kit_checker"

# internal, UI
require "gjp/commands/base"

require "gjp/commands/ant"
require "gjp/commands/download_maven_source_jars"
require "gjp/commands/dry_run"
require "gjp/commands/finish"
require "gjp/commands/generate_all"
require "gjp/commands/generate_kit_archive"
require "gjp/commands/generate_kit_spec"
require "gjp/commands/generate_package_archive"
require "gjp/commands/generate_package_script"
require "gjp/commands/generate_package_spec"
require "gjp/commands/get_pom"
require "gjp/commands/get_source"
require "gjp/commands/init"
require "gjp/commands/list_kit_missing_sources"
require "gjp/commands/move_jars_to_kit"
require "gjp/commands/mvn"

require "gjp/main"
